# path setup
export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:`pwd`/lib
DATASET=Fluo-N2DH-SIM+
SEQ=01
RESULT_DIR=../${DATASET}/${SEQ}_RES
SEG_DIR=${DATASET}/${SEQ}_SEG
CONFIG_DIR=configs-git/${DATASET}-challenge/${SEQ}_CFG
mkdir -p ${RESULT_DIR}
mkdir -p ${SEG_DIR}

# run pipeline with trained classifiers
./isbi_pipeline ../${DATASET}/${SEQ} ${SEG_DIR} ${RESULT_DIR} ${CONFIG_DIR}/tracking_config.txt ${CONFIG_DIR}/classifier.h5 ${CONFIG_DIR}/features.txt ${CONFIG_DIR}/object_count_features.txt ${CONFIG_DIR}/division_features.txt 2>/dev/null

#clean up temporary files
rm -r ${SEG_DIR}
rm -r ${DATASET}
